# note: would be too much work to put this in the build prefix
HANZI_DATA := generated/hanzi-data
DATA_TEST_OK_FLAG := $(BUILD_PREFIX).data-test-ok
SRC_DATA_TESTS_TS := $(shell find test/data -type f -name '*.ts' -o -name '*.txt')
SRC_DATA_TEST_ENTRIES := $(filter %.test.ts,$(SRC_DATA_TESTS_TS))

TS_SRC += $(SRC_DATA_TESTS_TS) $(BUILD_TS_SOURCES)
MOSTLY_CLEAN += $(DATA_TEST_OK_FLAG)
MOSTLY_CLEAN_DIRS += $(HANZI_DATA)

.PHONY: data
data: $(HANZI_DATA)

.PHONY: test-data
test-data: $(DATA_TEST_OK_FLAG)

$(HANZI_DATA): \
$(GEN_HANZI_DATA) \
$(wildcard build/gen-hanzi-data/pools/simplified/*.txt) \
$(wildcard build/gen-hanzi-data/pools/traditional/*.txt)
	mkdir -p generated
	$(GEN_HANZI_DATA) \
	--out $@ \
	$(addprefix --pool , \
		$(wildcard build/gen-hanzi-data/pools/simplified/*.txt) \
		$(wildcard build/gen-hanzi-data/pools/traditional/*.txt))

# no dependency on the data, we want to iterate fast with the tests
$(DATA_TEST_OK_FLAG): $(JEST) $(SRC_DATA_TESTS_TS) $(BUILD_TS_SOURCES) $(SRC_COMMON_TS)
	$(JEST) $(SRC_DATA_TEST_ENTRIES)
	@$(and $(BUILD_PREFIX),mkdir -p $(BUILD_PREFIX))
	touch $(DATA_TEST_OK_FLAG)
